const tp = require('@tabletop-playground/api'); // do not delete this

// to use this script, import the player1nameDisplay.js file into the 'Scripts' folder of your mod game files
// for multiple Player Numbers, attach the script file to the respective player card holder (aka 'Hand' in TTS)
// renaming the playerXnameDisplay.js file according to the player slot it's suppsed to display is recommended
// remember: player 1 is in Slot 0,
//           player 2 is in Slot 1, 
//           etc.
// also: save script file and 'Reload Script' in game to update Name Displays

const FontSize = 52 
// will change the size of the text

const FontType = "Mali-LightItalic.ttf" 
// will change Type of Font
// to use a different Font, import the font file (as .ttf) directly into the same Folder this Script is in

const ColorSlot = 0
// defines which Color in InGame ->  Right-Click -> Session Options -> Player Colors will be displayed
// alternatively in InGame -> Right-Click > Player Options
// The first color in that list is Slot 0

const xAxis = 15
const yAxis = 0
const zAxis = 10
// will move according to it's value, with the object that the script is attached to, as point of reference
// default settings will cast the PlayerName slightly on top and above it


const name1 = tp.world.getPlayerBySlot(ColorSlot) // references the actual Slot number (default = 0)

const playername = new tp.UIElement(); // references a new UIElement
playername.position = new tp.Vector(xAxis, yAxis, zAxis); // references the new UI Position (for the text widget)

const playername1textbox = new tp.Text(); // references the actual text widget
playername1textbox.setText(name1.getName()).setFontSize(FontSize).setFont(FontType); // function that tells the script what to display

playername.widget = playername1textbox;

refObject.addUI(playername); // attaches the UIElement to the Object this script is attached to (in my case, the Player Card Holder (aka 'Hand' in TTS))