const tp = require('@tabletop-playground/api');

const vectorp1 = [
    new tp.Vector(80.696, -31.203, 87.09),
    new tp.Vector(76.195, -31.203, 87.09),
    new tp.Vector(71.709, -31.203, 87.09)
];

const farmer = tp.world.getObjectById('farmerbag')
const worker = tp.world.getObjectById('workerbag')
const craftsman = tp.world.getObjectById('craftsmanbag')
const engineer = tp.world.getObjectById('engineerbag')
const investor = tp.world.getObjectById('investorbag')


const missioncards =  tp.world.getObjectById('mcs3')
const pop1 = tp.world.getObjectById('pop1')
const pop2 = tp.world.getObjectById('pop2')
const pop3 = tp.world.getObjectById('pop3')
const exp = tp.world.getObjectById('exp')
const olddeck = tp.world.getObjectById('olddeck')
const newdeck = tp.world.getObjectById('newdeck')
const btnobject = tp.world.getObjectById('btn1')

const ui = new tp.UIElement();
ui.position = new tp.Vector(0, 0, 6);

const button = new tp.Button();
button.setText("        Set up for Play        ").setFontSize(45).setFont("Mali-LightItalic.ttf");
button.onClicked.add(() => {
    setTimeout(() => pop1.shuffle(), 50); 
    setTimeout(() => pop2.shuffle(), 100); 
    btnobject.destroy(); 
    setTimeout(() => pop3.shuffle(), 150); 
    setTimeout(() => exp.shuffle(), 200); 
    setTimeout(() => olddeck.shuffle(), 250); 
    setTimeout(() => newdeck.shuffle(), 300); 
    setTimeout(() => missioncards.shuffle(), 500);
    setTimeout(() => missioncards.setRotation(new tp.Rotator(0, 0, 180), 0.85), 1050);
    setTimeout(() => missioncards.takeCards().setPosition(new tp.Vector(55, -16, 86.544), 0.85), 1600);
    setTimeout(() => missioncards.takeCards().setPosition(new tp.Vector (55, -8, 86.544), 0.85), 2000);
    setTimeout(() => missioncards.takeCards().setPosition(new tp.Vector(55, 0, 86.544), 0.85), 2400);
    setTimeout(() => missioncards.takeCards().setPosition(new tp.Vector(55, 8, 86.544), 0.85), 2800);
    setTimeout(() => missioncards.takeCards().setPosition(new tp.Vector(55, 16, 86.544), 0.85), 3200);
}) 

ui.widget = button;

refObject.addUI(ui);